> For the complete documentation index, see [llms.txt](https://docs.teller.org/teller-widget/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.teller.org/teller-widget/api-reference.md).

# API Reference

<table><thead><tr><th>Prop name</th><th width="239">Prop type</th><th width="182">Default value</th><th>Information</th></tr></thead><tbody><tr><td><code>subgraphApiKey</code></td><td><code>string</code></td><td>*required*</td><td>Please refer to this <a href="https://docs.teller.org/teller-widget/generating-subgraph-studio-api-key">guide</a> for generating an api key</td></tr><tr><td><code>buttonLabel</code></td><td><code>string</code></td><td><code>Cash advance</code></td><td>Label to display on the widget button</td></tr><tr><td><code>whitelistedTokens</code></td><td><code>{ [chainId: number]: string[] }</code></td><td><code>undefined</code></td><td>By default, Tokens to show additionally to the one in the user's wallet. If paired with <code>showOnlyWhitelistedTokens</code> these are the only displayed tokens</td></tr><tr><td><code>showOnlyWhitelistedTokens</code></td><td><code>boolean</code></td><td><code>false</code></td><td>Toggle to show only the tokens defined in <code>whitelistedTokens</code></td></tr><tr><td><code>buttonClassName</code></td><td><code>string</code></td><td><code>undefined</code></td><td>A css class name to pass to the button</td></tr><tr><td><code>isBareButton</code></td><td><code>boolean</code></td><td><code>false</code></td><td>An additional styling prop to remove all styles to the button</td></tr><tr><td><code>whitelistedChains</code></td><td><code>array</code></td><td><code>undefined</code></td><td>An array of chain ids to show in the chain dropdown.  <br>Available values :<br><code>1,137, 42161, 8453</code></td></tr><tr><td><code>referralFee</code></td><td><code>number</code></td><td><code>0</code></td><td><p>Referral fee %, in basis points. Ie <code>100</code> = 1%. </p><p></p><p>Max <code>500</code> = 5%.</p></td></tr><tr><td><code>referralAddress</code></td><td><code>string</code></td><td><code>0x193C83873843CA7a170490d3752BCcB678365d57</code></td><td>Recipient wallet address to receive referral fee.</td></tr><tr><td><code>welcomeScreenLogo</code></td><td><code>string</code></td><td><code>undefined</code></td><td>Logo (as URL) displayed on the widget's welcome screen. Image types .png, .jpg, .jpeg, .svg.</td></tr><tr><td><code>welcomeScreenTitle</code></td><td><code>string</code></td><td><code>undefined</code></td><td>Bold, header text on the widget's welcome screen.</td></tr><tr><td><code>welcomeScreenParagraph</code></td><td><code>string</code></td><td><code>undefined</code></td><td>Body, paragraph text on the widget's welcome screen.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.teller.org/teller-widget/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
